Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class LicensedEntityRole

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.LicensedEntityRole

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class LicensedEntityRole

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Licensed Entity Role', and utility methods for working with them. specDomain: V16773 (C-0-D11555-V13940-V16930-V16773-cpt)

See Also:
  `CDAR2Package.getLicensedEntityRole()`

Field Summary
`static int` | `LIC` The 'LIC' literal value.
`static LicensedEntityRole` | `LIC_LITERAL` The 'LIC' literal object.
`static int` | `NOT` The 'NOT' literal value.
`static LicensedEntityRole` | `NOT_LITERAL` The 'NOT' literal object.
`static int` | `PROV` The 'PROV' literal value.
`static LicensedEntityRole` | `PROV_LITERAL` The 'PROV' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Licensed Entity Role' enumerators.

Method Summary
`static LicensedEntityRole` | `get(int value)` Returns the 'Licensed Entity Role' literal with the specified integer value.
`static LicensedEntityRole` | `get(java.lang.String literal)` Returns the 'Licensed Entity Role' literal with the specified literal value.
`static LicensedEntityRole` | `getByName(java.lang.String name)` Returns the 'Licensed Entity Role' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LIC

    public static final int LIC

  The 'LIC' literal value.

  If the meaning of 'LIC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LIC_LITERAL`, Constant Field Values

### NOT

    public static final int NOT

  The 'NOT' literal value.

  If the meaning of 'NOT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NOT_LITERAL`, Constant Field Values

### PROV

    public static final int PROV

  The 'PROV' literal value.

  If the meaning of 'PROV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PROV_LITERAL`, Constant Field Values

### LIC_LITERAL

    public static final LicensedEntityRole LIC_LITERAL

  The 'LIC' literal object.

  See Also:
    `LIC`

### NOT_LITERAL

    public static final LicensedEntityRole NOT_LITERAL

  The 'NOT' literal object.

  See Also:
    `NOT`

### PROV_LITERAL

    public static final LicensedEntityRole PROV_LITERAL

  The 'PROV' literal object.

  See Also:
    `PROV`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Licensed Entity Role' enumerators.

Method Detail

### get

    public static LicensedEntityRole get(java.lang.String literal)

  Returns the 'Licensed Entity Role' literal with the specified literal value.

### getByName

    public static LicensedEntityRole getByName(java.lang.String name)

  Returns the 'Licensed Entity Role' literal with the specified name.

### get

    public static LicensedEntityRole get(int value)

  Returns the 'Licensed Entity Role' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD